{{ stylesheet_link("/css/jobs.show.css") }}
{# 自定义流程得前半部分 #}
<div class="overflow_div">
    <form id="form" action="/jobs/test/" method="post">
        <input type="hidden" name="status" {% if status is defined %} value="{{ status }}" {% endif %}/>
        <input type="hidden" name="next_status" id="next_status"/>
        <input type="hidden" name="advice_advice" id="advice_advice"/>
        <input type="hidden" name="advice_attachment" id="advice_attachment"/>
        {# 自定义流程得渲染form #}
        <table border="1" cellpadding="1" cellspacing="1" style="width:100%;"><tbody><tr><td style="width: 30%;">单位名称</td><td style="width: 70%;">{{form['defined_customer']}}</td></tr><tr><td>发票内容</td><td>{{form['defined_fapnr']}}</td></tr><tr><td>销账金额</td><td>{{form['defined_xzje']}}</td></tr><tr><td>付款金额</td><td>{{form['defined_yfje']}}</td></tr><tr><td>收款人名称</td><td>{{form['defined_skrmc']}}</td></tr><tr><td>收款人开户行</td><td>{{form['defined_skrkhh']}}</td></tr><tr><td>账户</td><td>{{form['defined_zhanghu']}}</td></tr><tr><td>付款方式</td><td>{{form['defined_fkfs']}}</td></tr><tr><td>折扣类型</td><td>{{form['defined_zklx']}}</td></tr><tr><td>折扣金额</td><td>{{form['defined_zkje']}}</td></tr><tr><td>付款时间</td><td>{{form['defined_fuksj']}}</td></tr><tr><td>付款类型</td><td>{{form['defined_fukuanlx']}}</td></tr><tr><td>备注</td><td>{{form['defined_remarks']}}</td></tr><tr><td colspan="2">{{form['defined_fkmx']}}</td></tr><tr><td colspan="2">{{form['defined_sczd']}}
            
            
            
            </td></tr><tr><td colspan="2">{{form['defined_fapiaoxx']}}
            </td></tr></tbody></table>{{form['jobs_id']}}{{form['jobs_code']}}{{form['jobs_key']}}{{form['jobs_created']}}{{form['jobs_createdby']}}{{form['jobs_updated']}}{{form['jobs_updatedby']}}{{form['jobs_name']}}{{form['jobs_type']}}{{form['jobs_status']}}{{form['jobs_pstarttime']}}{{form['jobs_starttime']}}{{form['jobs_endtime']}}{{form['jobs_parent']}}{{form['defined_id']}}{{form['defined_code']}}{{form['defined_key']}}{{form['defined_jobs_code']}}{{form['defined_companyType']}}{{form['defined_info']}}{{form['defined_skdwlxpd']}}{{form['defined_lc_code']}}
        {# 自定义流程得提交和脚本 #}
        {% if status is not empty %}
            <span id="status" date={{ status }}></span>
        {% endif %}
        <div id="button">
            {% for index,item in button %}

            {% if item["ename"] != 'modify' and item["ename"] != "cancel" and item["ename"] != "Modify" %}
            <div class="jobs_left">

                <div class="jobs_input" isadvice="{{item['isAdvice']}}" code="{{ index }}">
                    <div class="jobs_name">{{item["name"]}}</div>
                    {% if item["ename"] != 'open' and tipArray[index]["time"] > 0%}
                    <p class='clickTime'>
                        <span class="date">{{tipArray[index]["clickTime"]}}</span>
                        <span class="time"></span>
                    </p>
                    {% endif %}
                </div>
            </div>

            {% endif %}


            {% endfor %}
        </div>
    </form>

    <div id="proposalWin" class="easyui-dialog" data-options="closable:false,closed:false,modal:true" title="处理意见" style="width:300px;height:380px;">

        <input type="hidden" id="advice_step">
        <div class="uploadDiv">
            <div class="nameStyle">上传附件信息</div>
            <div id="uploadObj" style="width:100%; height:150px;"></div>
        </div>
        <input type="hidden" name="attachment" id="file_step">
        <div class="tianObj tian clearfix">
            <span class="main_table_title_span nameStyle">处理意见</span>
            <span class="adapter">
                <input name="file_advice" id="file_advice" class="easyui-textbox" data-options="multiline:true" style="height:80px;width:100%;">
            </span>
        </div>

    </div>
</div>

<script>
    $(function () {
        var button = $("div#button .jobs_input");
        var workflow_code = JIUYANG.GLOBAL.getUrlParam('workflow_code');
        if(!workflow_code)
        {
            var href = window.location.href;  //匹配目标参数

            workflow_code = href.split("jobs_code=")[1].split('-')[0];
        }
        button.each(function () {
            $(this).click(function () {

                if ($('.system_newStockinModuleV2').length > 0) {
                    var stockinInfo = $('#info').val();
                    if (!stockinInfo) {

                        //弹出提示消息框
                        JIUYANG.GLOBAL.alert("请先保存入库信息","","info",3000,"系统提示");
                        return false;

                    }

                }

                var code = $(this).attr("code");
                $("input#next_status").val(code);
                $("#advice_step").val(code);

                if (workflow_code == "stockouts" ) {

                    //获取当前状态
                    if (code == "stockouts-open") {

                        //获取物料
                         /*var g = $('#Material_Name').combogrid('grid');
                         var r = g.datagrid('getSelected');*/
                        var code = $('#Material_Name').combogrid('getValue');
                            if (r) {
                                $.messager.alert('警告!', '无法找到相关物料信息,请核实输入数据是否正确!', 'warning');
                                return false;
                            }
                            var material_code = code;


                            //获取出库数量
                            if ($('#materialNum').numberbox("getValue")) {

                                 materialNum = $('#materialNum').numberbox("getValue");

                            } else {

                                 materialNum = 0;

                            }
                        system_boolean = true;

                        $.ajax({
                            url : "/ajax/index",
                            type : "POST",
                            async : false,
                            data : {
                                postParam:{
                                     biz : "Jobstockoutapps",
                                     method : "getInventory",
                                     params : material_code
                                }
                            },
                            dataType : "JSON",
                            success : function (result) {
                                if (result) {
                                    if (result.code == "0") {
                                        var totalNum = result.data;

                                       if (parseInt(parseFloat(materialNum) * 10000) > parseInt(parseFloat(totalNum) * 10000)) {
                                        system_boolean = false;
                                        $.messager.alert("提示", "库存不足请先采购，库存数:"+totalNum, "warning");
                                       return false;
                                       }
                                    }
                                }
                            }
                        });

                        if (!system_boolean) {
                            return false;
                        }


                    }
                }


                if ($(".system_newStockoutModuleV2").length > 0) {

                    var stockOutInfo = $('#system_stinfo').val();

                    if (!stockOutInfo || stockOutInfo=="" || typeof(stockOutInfo) == "undefined") {
                        //弹出提示消息框
                       JIUYANG.GLOBAL.alert("请先保存出库信息组件","","info",3000,"系统提示");
                       return false;
                    }

                }



                var isAdvice = $(this).attr("isadvice");
                if (isAdvice == "Y") {
                    var validate = $("#form").form("validate");
                    if (validate) {
                        $("#proposalWin").dialog("open");
                    }

                } else {
                    var validate = $("#form").form("validate");
                    $.messager.confirm("提示：", "您是否要执行此操作？", function (r) {
                        if (r) {
                            $("#form").submit();
                        }
                    })

                }


            });
        });
        /*
         *处理意见部分
         */
        var arr = {};
        //初始化文件上传下载功能
        var myVault = new dhtmlXVaultObject({
            container: "uploadObj", //展开元素标识
            uploadUrl: "/Files/uploadmodule", //上传路径
            downloadUrl: "/Files/download?fileName={serverName}&cname=22", //下载路径
            multiple:false,
            maxFileSize:20*1024*1024
        });

        //汉化组件
        myVault.setStrings({
            done:           "上传成功",
            error:          "上传失败",
            size_exceeded:  "文件允许最大值 ( #size#)",
            btnAdd:         "添加",
            btnUpload:      "上传",
            btnClean:       "清空列表",
            btnCancel:      "Stornieren",
            dnd:            "Drop Dateien hier"
        });

        //上传成接收返回信息事件
        myVault.attachEvent("onUploadFile", function(files){
            var oldname = files.name;

            arr[oldname] = {
                serverName:files.serverName,
                size:files.size
            };

            $("#file_step").val(JSON.stringify(arr));



        });

        //单条删除事件
        myVault.attachEvent("onFileRemove", function(file){
            delete arr[file.name];
            if (JSON.stringify(arr) != '{}') {
                $("#file_step").val(JSON.stringify(arr));
            } else {
                $("#file_step").val("");
            }
        });

        myVault.attachEvent("onBeforeClear", function() {

            $.messager.confirm('提示', '确定清空当前文件?', function (r) {
                if (r) {
                    $(".dhx_vault_files").empty();
                    $("#file_step").val(" ");
                    arr = {};
                }
            });
        });

        $("#proposalWin").dialog({
            //默认延时窗口是关闭状态
            closed: true,
            buttons: [{
                text: '确定',
                iconCls: 'icon-ok',
                handler: function () {
                    //写入表单
                    $("#advice_attachment").val($("#file_step").val());
                    $("#advice_advice").val($("#file_advice").textbox("getValue"));

                    //提交表单
                    $.messager.confirm("提示：", "您是否要执行此操作？", function (r) {
                        if (r) {
                            $("#form").submit();
                        }
                    })

                }
            }, {
                text: '取消',
                handler: function () {
                    $("#advice_attachment").val("");
                    $("#advice_advice").val("");
                    $("#proposalWin").dialog('close');
                }
            }]
        });


        $("#form").form({
            success: function (data) {
                var result = eval("(" + data + ")");
                if (result.code > 0) {
                    $.messager.alert("Error", result.message, "error");
                } else {
                    //$.messager.alert("Info", result.message, 'info');
                    JIUYANG.APP.callback = function () {

                        if (result.isContinue) {
                            location.href = "/qiyeoa/jobs/show/&jobs_code="+result.data['code']+"?workflow_code="+result.data['type'].split("-")[0];
                        } else {
                            location.href = '/qiyeoa/jobs/index/&workflow_code=' + workflow_code;
                        }
                    };
                    $.messager.alert("系统提示", result.message,'info');

                    JIUYANG.APP.callback();

                }
            }
        });

       /*
        *判断剩余时间
        */
        if ($(".clickTime").length > 0) {

            $(".clickTime").each(function(index,element) {
                setInterval("timer("+index+")",1000);

            }) ;
        }
    });

       /*
        *按钮提示点击时间
        */
        function timer(index)
        {
            var obj = $(".clickTime").eq(index);
            var data = obj.find("span").eq(0).html().split(" ");
            var firstArray = data[0].split("-");
            var lastArray = data[1].split(":");



            var ts = (new Date(parseInt(firstArray[0]),parseInt(firstArray[1])-1,parseInt(firstArray[2]),parseInt(lastArray[0]),parseInt(lastArray[1]),parseInt(lastArray[2])) - (new Date()));//计算剩余的毫秒数

            var dd = parseInt(ts / 1000 / 60 / 60 / 24, 10);//计算剩余的天数
            var hh = parseInt(ts / 1000 / 60 / 60 % 24, 10);//计算剩余的小时数
            var mm = parseInt(ts / 1000 / 60 % 60, 10);//计算剩余的分钟数
            var ss = parseInt(ts / 1000 % 60, 10);//计算剩余的秒数
            dd = checkTime(dd);
            hh = checkTime(hh);
            mm = checkTime(mm);
            ss = checkTime(ss);

            if (dd >0) {
                 obj.find("span").eq(1).html(dd + "天" + hh + "时" + mm + "分" + ss + "秒");
            } else {
                 obj.find("span").eq(1).html(hh + "时" + mm + "分" + ss + "秒");
            }
        }

        function checkTime(i)
        {
           if (i < 10) {
               i = "0" + i;
            }
           return i;
        }

</script>
